vim.g.mapleader = " "
vim.g.maplocalleader = ","

vim.opt.completeopt = "menuone,noinsert,noselect"

vim.opt.shortmess:append({
    W = true,
    I = true,
    c = true,
})

vim.opt.termguicolors = true

vim.opt.encoding = "utf8"
vim.opt.spelllang = "en,pl"

vim.opt.number = true
vim.opt.relativenumber = true
vim.opt.numberwidth = 5
-- vim.opt.statuscolumn = "%C %4l %r"

vim.opt.wrap = false
vim.opt.breakindent = true
vim.opt.showbreak = "↪\\"
vim.opt.breakindentopt = "shift:2,min:78,sbr"

vim.opt.tabstop = 4
vim.opt.expandtab = true
vim.opt.shiftwidth = 4
vim.opt.smarttab = true
vim.opt.shiftround = true

vim.opt.ignorecase = true

vim.opt.mouse = "a"

vim.opt.showcmd = true

vim.opt.timeout = true
vim.opt.timeoutlen = 200
vim.opt.ttimeout = true
vim.opt.ttimeoutlen = 50

vim.opt.hidden = true
vim.opt.swapfile = false

vim.opt.cursorline = true
vim.opt.ruler = true

vim.opt.scrolloff = 99

vim.opt.laststatus = 0

vim.opt.clipboard = "unnamedplus"

vim.opt.splitright = true

vim.opt.undofile = true
vim.opt.undolevels = 1000
vim.opt.undoreload = 10000

vim.opt.list = true
vim.opt.listchars = {
    tab = "▸ ",
    trail = "·",
    eol = "↲",
    extends = "›",
    nbsp = "␣",
}

vim.opt.foldenable = true
vim.opt.foldcolumn = "2"
vim.opt.foldlevel = 99
vim.opt.foldlevelstart = 99
vim.opt.fillchars = "eob: ,fold: ,foldopen:,foldsep: ,foldclose:"
